[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Lab2XYZFunctor< T > Class Template Reference Color Space Conversions |

Convert perceptual uniform CIE L*a*b* into standardized tri-stimulus XYZ. More...

`#include <vigra/colorconversions.hxx>`

List of all members.

## Public Types
typedef TinyVector< T, 3 > | argument_type
typedef NumericTraits< T > ::RealPromote | component_type
typedef TinyVector < component_type, 3 > | result_type
typedef TinyVector < component_type, 3 > | value_type
## Public Member Functions
| Lab2XYZFunctor ()
template<class V >
result_type | operator() (V const &lab) const

## Detailed Description

### template<class T>
class vigra::Lab2XYZFunctor< T >

Convert perceptual uniform CIE L*a*b* into standardized tri-stimulus XYZ.

#include <vigra/colorconversions.hxx>
Namespace: vigra

The functor realizes the inverse of the transformation described in vigra::XYZ2LabFunctor

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)

## Member Typedef Documentation

typedef NumericTraits<T>::RealPromote component_type

the result's component type

typedef TinyVector<T, 3> argument_type

the functor's argument type

typedef TinyVector<component_type, 3> result_type

the functor's result type

typedef TinyVector<component_type, 3> value_type

Deprecated:
  use argument_type and result_type

## Constructor & Destructor Documentation

Lab2XYZFunctor | ( |  | ) |

the functor's value type

## Member Function Documentation

result_type operator() | ( | V const & | lab | ) | const

apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)